Gofive OpenAPI
empeoVenio
eTaxGo
empeoVenio
eTaxGo
  1. SalesOrder
  • Introduction
  • Activity
    • Activities Enquiry
      POST
    • Get a Activity By Id
      GET
    • Get a Activity By No
      GET
    • Get Key Activities
      GET
    • Create or Update Activity
      POST
  • Authentication API
    • Authorization
      POST
  • Customer
    • Create or Update customer
      POST
    • Customer Search
      POST
    • Customers Enquiry
      POST
    • Get a Customer By CustomerId
      GET
    • Get a Customer By CustomerCode
      GET
    • Get a Customer By CustomerName
      GET
    • Get Customer By TaxID
      GET
    • Check Customer Existence
      POST
    • Create Customer Satisfaction
      POST
    • Add Customer Event
      POST
    • Get Customer Events by Customer Code
      GET
    • Edit Customer Event
      PUT
    • Delete Customer Event
      DELETE
    • Get Customer Event Types
      GET
    • Get file categories
      GET
    • Attach files category
      POST
  • Case
    • Add Case
    • Edit Case by CaseNo
    • Get Case by CaseNo
    • Get Case Categories
  • Contract
    • Get Contract By No
    • Get Contract Types
    • Get Contract Templates
    • Create or Update Contract
    • Create or Update Contract Service Agreement
    • Send Contract Document
  • Conversation
    • Conversation Enquiry
  • Expense
    • Create Expense
    • Update Expense
    • Expense Enquiry
    • Get a Expense
  • Deal
    • Create Deal
    • Update Deal
    • Deal Enquiry
    • Get Deal
    • Get Deal Board
    • Get Deal Stage
    • Get Deal Interest
    • Get DealLabel
    • Get Deal Missed Reason Categories
  • Employee
    • Employees Enquiry
    • Get a Employee
  • Product
    • Create Or Update Products
    • Get a Product Ticket
    • Get Products With Take & Status
    • Get a Product by ProductCode
    • Get Product Groups
    • Get Product Properties
    • Get Products By Filter
    • Verify Serial Number
    • Check Serial Verification Status
    • Create or Update Codeguard Products
    • Update Product Stock
    • Get Units
  • Quotation
    • Create Update Quotation
    • Convert Quotation To SalesOrder
    • Quotation Enquiry
    • Get a Quotation By QuotationNo
    • Cancel Quotation
    • Get Pdf By QuotationNo
  • SalesOrder
    • Create Or Update SalesOrder
      POST
    • SalesOrder Enquiry by Customer Code
      POST
    • Get a SalesOrder By Id
      GET
    • Get a SalesOrder By No
      GET
    • Get Sale Order Attachment by Id
      GET
    • Get Sale Order Attachment By No
      GET
    • Reject SaleOrder
      DELETE
    • Approve Sale Order
      PUT
    • Update SalesOrder Payment
      PUT
    • Get Pdf By SalesOrderNo
      GET
    • Update SalesOrder Tracking Number
      PUT
  • Webhooks
    • Webhook Payload
  • Task
    • Task Enquiry
    • CreateTask
  • Setting
    • Get HeaderTemplate
  • Chat
    • Post Send message
  • Storage
    • Upload files attachments
    • Get file attachments
    • Delete file attachments
  • Calendio
    • Create Venio Calendio Event
    • Edit Venio Calendio Event
    • Get Venio Calendio Events
    • Create empeo Calendio Event
    • Edit empeo Calendio Event
    • Get empeo Calendio Events
    • Get Venio Calendio Event by Id
    • Get empeo Calendio Event by Id
    • Create Appointment
    • Appointment Enquiry
    • Edit Appointment
    • Get Appointment By Id
    • Add Calendio Custom Field
    • Calendio Custom Field Enquiry
    • Get Calendio Custom Field by Id
    • Available slots Enquiry
    • Calendio Bookings Enquiry
    • Reschedule Calendio Booking time
    • Cancel Calendio Booking
  1. SalesOrder

SalesOrder Enquiry by Customer Code

POST
https://api.gofive.co.th/v2/salesorder/{customerCode}
ค้นหาใบสั่งขาย (Sales Order) ทั้งหมดของลูกค้าตามรหัสลูกค้า (Customer Code)
พร้อมเงื่อนไขกรอง (filter) และการแบ่งหน้า (pagination)
คืนรายละเอียดใบสั่งขายแบบเต็มรูปแบบ (โครงสร้างเดียวกับ GET /v2/salesorder/{salesOrderId}) เป็น array
เรียงลำดับจากใหม่ไปเก่า (ตามวันที่สร้าง)
filter ทุกตัวทำงานแบบ AND
ข้อมูลถูกจำกัดเฉพาะบริษัทของผู้เรียก (จาก JWT token) เสมอ — รหัสลูกค้าของบริษัทอื่นจะได้ data: []
กรณีไม่พบ customerCode หรือไม่มีใบสั่งขายตรงเงื่อนไข จะคืน 200 พร้อม data: [] (ไม่ใช่ 404)

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/jsonRequired

Examples
{
    "take": 10
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.gofive.co.th/v2/salesorder/C000001' \
--header 'Ocp-Apim-Subscription-Key: <Your Subscription-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "take": 10
}'

Responses

🟢200
application/json
Success — รวมกรณีไม่พบข้อมูล (data เป็น array ว่าง)
Bodyapplication/json

Example
{
    "status": {
        "code": "1000",
        "description": "Success"
    },
    "data": [
        {
            "salesOrderSubject": "ATM Edit SO Full Detail",
            "customerCode": "C000001",
            "customerId": 592512,
            "salesOrderNo": "SO260600039",
            "salesOrderStatus": 2,
            "salesOrderDate": "2026-06-05T00:00:00+0700",
            "recipientName": "string",
            "recipientAddress": "string",
            "headerTemplateId": 0,
            "warehouseCode": "string",
            "salesorderDetails": [
                {
                    "productCode": "PD002",
                    "productName": "Venio Headphone",
                    "price": 800,
                    "qty": 2,
                    "productUnitName": "ชิ้น",
                    "productDescription": "string",
                    "discountValue": 0,
                    "discountType": true,
                    "vatTaxValue": 7,
                    "whtTaxValue": 0,
                    "totalPrice": 1280,
                    "unitId": 0,
                    "isShipping": true,
                    "warehouseCode": "string"
                }
            ],
            "discountName": "string",
            "discountValue": 0,
            "discountType": true,
            "paymentTerm": "string",
            "remark": "string",
            "staffCode": "00004",
            "salesOrderNote": "string",
            "vatCalculation": true,
            "subTotal": 2880,
            "subTotalWithDiscount": 2304,
            "grandTotal": 2304,
            "totalVat": 150.73,
            "privateNote": "string",
            "referenceNo": "string",
            "contactId": 0,
            "customerAddressId": 0,
            "currencyCode": "USD",
            "salesOrderId": 281940,
            "payment": {},
            "invoiceInfo": {},
            "shippingDocumentUrl": "string",
            "trackingNo": "string",
            "discounts": [
                {}
            ],
            "integrationPlatform": 0,
            "isIntegrationOrderPaid": true,
            "recipient": {
                "name": "string",
                "address": "string"
            },
            "salesOrderCustomerAddress": {
                "addressId": 0,
                "locationName": "string",
                "location": "string",
                "fullAddress": "string"
            }
        }
    ]
}
🟠400
🟠401
🔴500
Modified at 2026-06-12 10:50:41
Previous
Create Or Update SalesOrder
Next
Get a SalesOrder By Id
Built with